import pandas as pd

def query(sql,engine_sql):
    '''
    查询大量数据
    :param sql:
    :param engine_sql:查询器
    :return:dataframe
    '''
    res=[]
    tmp=pd.read_sql(sql,engine_sql,chunksize=10000)
    for tt in tmp:
        res.append(tt)
    return pd.concat(res)